Package org.apache.commons.imaging.formats.tiff

## Enum TiffRasterDataType

- java.lang.Object
- - java.lang.Enum<TiffRasterDataType>
  - - org.apache.commons.imaging.formats.tiff.TiffRasterDataType

- All Implemented Interfaces:
    `Serializable`, `Comparable<TiffRasterDataType>`

      public enum TiffRasterDataType
      extends Enum<TiffRasterDataType>

  Provides an enumeration indicating the type of data for an instance of a TiffRasterData class.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `FLOAT` | Indicates that the raster contains single-precision floating-point data.
    `INTEGER` | Indicates that the raster contains integer data.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static TiffRasterDataType` | `valueOf​(String name)` | Returns the enum constant of this type with the specified name.
    `static TiffRasterDataType[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### INTEGER

          public static final TiffRasterDataType INTEGER

      Indicates that the raster contains integer data. Attempts to access floating-point data from the raster will result in the nearest floating point value.

    - #### FLOAT

          public static final TiffRasterDataType FLOAT

      Indicates that the raster contains single-precision floating-point data. Attempts to access integer data from the raster may result in a truncated value.

  - ### Method Detail

    - #### values

          public static TiffRasterDataType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (TiffRasterDataType c : TiffRasterDataType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static TiffRasterDataType valueOf​(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null